# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopCotisationCGCompany(models.Model):
    _inherit = "res.company"

    is_contribution_cg = fields.Boolean(string="Cotisations CG Scop")
    contribution_cg_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation CG",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    contribution_fede_com_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation Fédé de la Com",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    journal_fede_com_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal Fédération de la com",
        domain="[('type', '=', 'sale')]",
    )
    contribution_fede_cae_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation Fédé CAE",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    journal_fede_cae_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal Fédération CAE",
        domain="[('type', '=', 'sale')]",
    )
    contribution_fede_indus_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation Fédé Industrie",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    journal_fede_indus_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal Fédération Industrie",
        domain="[('type', '=', 'sale')]",
    )
    contribution_hdf_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation UR HDF",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    journal_ur_hdf_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal UR HDF",
        domain="[('type', '=', 'sale')]",
    )
    contribution_med_id = fields.Many2one(
        comodel_name="product.product",
        string="Article de cotisation UR Méditerranée",
        domain="[('sale_ok', '=', True), ('company_id', '=', company_id)]",
    )
    journal_ur_med_id = fields.Many2one(
        comodel_name="account.journal",
        string="Journal UR Med",
        domain="[('type', '=', 'sale')]",
    )
