# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class AccountMoveReversal(models.TransientModel):
    _inherit = "account.move.reversal"

    def _prepare_default_reversal(self, move):
        """
        Surcharge la la fonction initiale pour ajouter l'id
        de la base de cotisation cg
        :param inv: facture
        :param mode: wizard mode
        :return: avoir
        """
        refund = super(AccountMoveReversal, self)._prepare_default_reversal(move)
        refund.update(
            {
                "cotisation_cg_id": move.cotisation_cg_id.id,
                "bordereau_id": move.bordereau_id.id,
            }
        )
        return refund
